import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import Book from './book';

@Component({
  selector: 'app-bookedit',
  templateUrl: './bookedit.component.html',
  styleUrls: ['./bookedit.component.css']
})
export class BookeditComponent implements OnInit {
  _book: Book;
  
  @Input() set book(value: Book) {
    this._book = { ...value };
  }
  
  @Output() priceChange = new EventEmitter<Book>();

  constructor() { }

  ngOnInit(): void {
  }
  
  updatePrice() {
    this.priceChange.emit(this._book);
  }
}
